﻿<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
?>

<div class="post">
	<h2 class="post-title"><?php dcPostTitle(); ?></h2>
	<p class="post-info"><?php echo __('By'); ?> <?php dcPostAuthor(); ?>,
	<?php dcPostDate(); ?> <?php echo __('at'); ?> <?php dcPostTime(); ?>
	<span>::</span> <a href="<?php dcPostCatURL(); ?>"><?php dcPostCatTitle(); ?></a>
	<span>::</span> <a href="<?php dcPostURL(); ?>"
	title="<?php echo __('Permanent link to:'); ?> <?php dcPostTitle(); ?>">#<?php dcPostID(); ?></a>
	<span>::</span> <a href="<?php dcInfo('rss'); ?>?type=co&amp;post=<?php dcPostID(); ?>"
	title="<?php echo __('RSS feed to comments for:'); ?> <?php dcPostTitle(); ?>">rss</a>
	</p>
	
	<?php dcPostChapo('<div class="post-chapo">%s</div>'); ?>
	<div class="post-content"><?php dcPostContent(); ?></div>
	
	
</div>

<div id="trackbacks">
	<h3 id="tb">Trackbacks</h3>
	<?php if ($trackbacks->isEmpty()) : /* Message if no trackback */?>
		<p><?php echo __('No trackback'); ?></p>
	<?php endif; ?>
	
	<?php while ($trackbacks->fetch()) : /* trackbacks  list */
		// the tracback number is assigned to a variable
		$tb_num = $trackbacks->int_index+1;
	?>
		<p id="c<?php dcTBID(); ?>" class="comment-info">
		<span class="comment-number"><a href="#c<?php dcTBID(); ?>"><?php echo $tb_num; ?>.</a></span>
		<?php echo __('On'); ?> <?php dcTBDate(); ?> <?php echo __('At'); ?>
		<?php dcTBTime(); ?>, <?php echo __('by'); ?>
		<strong><?php dcTBAuthor(); ?></strong></p>
		
		<?php /* we print the trackback */ ?>
		<blockquote>
		<?php dcTBContent(); ?>
		</blockquote>
	<?php endwhile; ?>
	
	
	<?php /* the link to add a trackback if they are permited */ ?>
	<?php if (dcPostOpenTrackbacks() && dc_allow_trackbacks) : ?>
		<p><?php echo __('To trackback this post:'); ?>
		<?php echo dcPostTrackBackURI(); ?></p>
	<?php else: ?>
		<p><?php echo __('Trackbacks for this post are closed'); ?></p>
	<?php endif; ?>
</div>
	
<div id="comments">
	<h3 id="co"><?php echo __('Comments'); ?></h3>
	<?php if ($comments->isEmpty()) : /* Message if no comment */	?>
		<p><?php echo __('No comment for this post'); ?></p>
	<?php endif; ?>
	
	<?php while ($comments->fetch()) : /* Boucle of comments */
		// The commentaire  number is assigned to a variable
		$co_num = $comments->int_index+1;
	?>
		<p id="c<?php dcCommentID(); ?>" class="comment-info">
		<span class="comment-number"><a href="#c<?php dcCommentID(); ?>"><?php echo $co_num; ?>.</a></span>
		<?php echo __('On'); ?> <?php dcTBDate(); ?> <?php echo __('At'); ?>
		<?php dcTBTime(); ?>, <?php echo __('by'); ?>
		<strong><?php dcCommentAuthor(); ?></strong></p>
		
		<?php /* we output the comment */ ?>
		<blockquote>
		<?php dcCommentContent(); ?>
		</blockquote>
	<?php endwhile; ?>
	
	<h3><?php echo __('Add a comment'); ?></h3>
	<?php if (dcPostOpenComments() && dc_allow_comments) : /* If comment are permited */?>
		<?php if (dc_allow_comments) : ?>
			<?php include dirname(__FILE__).'/form.php'; ?>
		<?php endif; ?>
	<?php else : ?>
		<p><?php echo __('Comments for this post are closed'); ?></p>
	<?php endif; ?>
</div>
